---
updatedAt: 2026-09-24T11:53:05.000Z
agentTools:
  projectIndex: https://developers.taboola.com/backstage-api/llms.txt
---

# Update a combined audience

<div class="not-prose text-sm text-gray-700"><strong class="font-semibold">Rate limit:</strong> <a href="#rate-limit">Tier 2</a></div>

> 📘 Update guidelines
>
> 1. Use a `PUT` or `POST` verb.
> 2. Submit a `JSON` object in the request body.
> 3. Fields that are omitted or `null` will not be updated.

> 🚧 `combined_audience_components`
>
> 1. The `combined_audience_components` field does **not** support a `PATCH` operation.
> 2. To add/remove an `audience_component`, re-submit the entire collection.

> 📘 Examples
>
> For **request** *and* **response** examples, see the sidebar (*right*).

## Rate limit

> 🚧 Rate limit
>
> **Tier 2.** Shares one write budget with creating a combined audience; combined audience reads are counted separately.
>
> See [Rate limits](https://developers.taboola.com/backstage-api/reference/rate-limits) for the request allowance each tier carries.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "backstage-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://backstage.taboola.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://backstage.taboola.com/backstage/oauth/token",
            "scopes": {}
          },
          "password": {
            "tokenUrl": "https://backstage.taboola.com/backstage/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "paths": {
    "/backstage/api/1.0/{account_id}/combined_audiences/{audience_id}": {
      "post": {
        "summary": "Update a combined audience",
        "description": "<div class=\"not-prose text-sm text-gray-700\"><strong class=\"font-semibold\">Rate limit:</strong> <a href=\"#rate-limit\">Tier 2</a></div>",
        "operationId": "update-a-combined-audience",
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "description": "Your *alphabetic* Account ID, as provided by **Taboola**.<br>E.g. `\"acme-advertising\"` <br>See: [Get Account Details](https://developers.taboola.com/backstage-api/reference/get-account-details)",
            "schema": {
              "type": "string",
              "default": "acme-advertising"
            },
            "required": true
          },
          {
            "name": "audience_id",
            "in": "path",
            "description": "The _Combined Audience_ to be updated.",
            "schema": {
              "type": "integer",
              "format": "int64",
              "default": 967
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "string"
                  }
                }
              },
              "examples": {
                "Remove an audience component": {
                  "value": {
                    "combined_audience_components": [
                      {
                        "relation": "AND",
                        "audiences_ids": [
                          11,
                          21,
                          23
                        ]
                      },
                      {
                        "relation": "NOT",
                        "audiences_ids": [
                          12,
                          22
                        ]
                      }
                    ]
                  }
                },
                "Update the audience name": {
                  "value": {
                    "audience_name": "New audience name"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Remove an audience component": {
                    "value": "{\n   \"audience_name\": \"My audience name\",\n   \"description\": \"My audience description\",\n   \"combined_audience_components\": [\n       {\n           \"relation\": \"AND\",\n           \"audiences_ids\": [\n               11,\n               21,\n               23\n           ]\n       },\n       {\n           \"relation\": \"NOT\",\n           \"audiences_ids\": [\n               12,\n               22\n           ]\n       }\n   ]\n}"
                  },
                  "Update the audience name": {
                    "value": "{\n   \"audience_name\": \"New audience name\",\n   \"description\": \"My audience description\",\n   \"combined_audience_components\": [\n       {\n           \"relation\": \"AND\",\n           \"audiences_ids\": [\n               11,\n               21,\n               23\n           ]\n       },\n       {\n           \"relation\": \"NOT\",\n           \"audiences_ids\": [\n               12,\n               22\n           ]\n       }\n   ]\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Remove an audience component",
                      "type": "object",
                      "properties": {
                        "audience_name": {
                          "type": "string",
                          "example": "My audience name"
                        },
                        "description": {
                          "type": "string",
                          "example": "My audience description"
                        },
                        "combined_audience_components": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "relation": {
                                "type": "string",
                                "example": "AND"
                              },
                              "audiences_ids": {
                                "type": "array",
                                "items": {
                                  "type": "integer",
                                  "example": 11,
                                  "default": 0
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "title": "Update the audience name",
                      "type": "object",
                      "properties": {
                        "audience_name": {
                          "type": "string",
                          "example": "New audience name"
                        },
                        "description": {
                          "type": "string",
                          "example": "My audience description"
                        },
                        "combined_audience_components": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "relation": {
                                "type": "string",
                                "example": "AND"
                              },
                              "audiences_ids": {
                                "type": "array",
                                "items": {
                                  "type": "integer",
                                  "example": 11,
                                  "default": 0
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  }
}
```